#load some modules
module add netcdf

VAR=pr
DATAPATH=/lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/in
MERGEPATH=/lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/in

#Create list of available historical GCM RCM combinations
GCM_RCM_RCP_LIST=`ls ${DATAPATH}/${VAR}_*rcp*2006* | sed "s/.*EUR/EUR/; s/day_.*/day/" | sort -u`

#Loop over model combinations
for modcomb in $GCM_RCM_RCP_LIST
do
  #Merge all available files into one file (for training of the bias correction) if non existing
  echo "Merging of available simulation files to ${MERGEPATH}/${VAR}_${modcomb}_trainingyears.nc"
  echo "--------------------------------------"
  if [ -f ${MERGEPATH}/${VAR}_${modcomb}_trainingyears.nc ];
  then
   echo "File ${MERGEPATH}/${VAR}_${modcomb}_trainingyears.nc already exists and will be used. (Re)move to update!"
  else
   ncrcat -O ${DATAPATH}/${VAR}_${modcomb}_198* ${DATAPATH}/${VAR}_${modcomb}_199* ${DATAPATH}/${VAR}_${modcomb}_200* ${MERGEPATH}/${VAR}_${modcomb}_trainingyears.nc
  fi

  #Create training R script from template
  sed "s|OBSFILE|\"${MERGEPATH}/${VAR}_EUR-44_EOBS10_obs_r1i1p1_ECAD_v1_day_19810101-20101231.nc\"|;
       s|TRAINFILE|\"${MERGEPATH}/${VAR}_${modcomb}_trainingyears.nc\"|;
       s|FITFILE|\"${MERGEPATH}/qmfit_${VAR}_${modcomb}_trainingyears.RData\"|" bc_${VAR}_do_training_template.R > /lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/work/bc_${VAR}_do_training_${modcomb}.R

  #Create training job from template
  sed "s|NAME|${modcomb}|" bc_${VAR}_job_training_template.job > /lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/work/bc_${VAR}_job_training_${modcomb}.job
  #and run it
  #qsub /lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/work/bc_${VAR}_job_training_${modcomb}.job

done

