#load some modules
module add netcdf/4.3.2

VAR=tasmax
DATAPATH=/lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/out
MERGEPATH=/lustre/mnt/andreasd/CLIPC/WP6/EUR-44/${VAR}/test

#Create list of available historical GCM RCM combinations
cd ${DATAPATH}
GCM_RCM_RCP_LIST=`ls CLIPC_${VAR}Adjust_EUR-44_*19810101* | sed "s/_day_.*//"`

#Loop over model combinations
for outfiles in $GCM_RCM_RCP_LIST
do
  #Merging of available simulation files and making monthly sum/avarage if non existing
  echo "--------------------------------------"
  echo "Merging of available simulation files to ${MERGEPATH}/${outfiles}_day_19810101-20101231.nc and making monthly sum/avarage"
  echo "--------------------------------------"
  if [ -f ${MERGEPATH}/${outfiles}_day_19810101-20101231.nc ];
  then
   echo "File ${MERGEPATH}/${outfiles}_day_19810101-20101231.nc already exists and will be used. (Re)move to update!"
  else
  ncrcat -O ${DATAPATH}/${outfiles}_day_198* ${DATAPATH}/${outfiles}_day_199* ${DATAPATH}/${outfiles}_day_200* ${MERGEPATH}/${outfiles}_day_19810101-20101231.nc
  cdo -r yseasmean -monmean ${MERGEPATH}/${outfiles}_day_19810101-20101231.nc ${MERGEPATH}/${outfiles}_monmean_seas_19810101-20101231.nc
  fi
done



